net.sf.jasperreports.data.cache

## Class ColumnDataCacheHandler

- java.lang.Object
- - net.sf.jasperreports.data.cache.ColumnDataCacheHandler

- All Implemented Interfaces:
    DataCacheHandler

      public class ColumnDataCacheHandler
      extends java.lang.Object
      implements DataCacheHandler

  Report data cache handler that collects data in column stores.
  Version:
    $Id: ColumnDataCacheHandler.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.data.cache.DataCacheHandler

      `PARAMETER_DATA_CACHE_HANDLER, PROPERTY_DATA_PERSISTABLE, PROPERTY_DATA_RECORDABLE, PROPERTY_INCLUDED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnDataCacheHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ColumnStore` | `createColumnStore(java.lang.Class<?> type)`
    `protected ColumnStore` | `createColumnStore(JRField field)`
    `DataRecorder` | `createDataRecorder()`
    `protected void` | `disableCaching()`
    `DataSnapshot` | `getDataSnapshot()`
    `boolean` | `isRecordingEnabled()`
    `boolean` | `isSnapshotPopulated()`
    `protected void` | `setDataSnapshot(DataSnapshot snapshot)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ColumnDataCacheHandler

          public ColumnDataCacheHandler()

  - ### Method Detail

    - #### isRecordingEnabled

          public boolean isRecordingEnabled()

      Specified by:
        `isRecordingEnabled` in interface `DataCacheHandler`

    - #### createDataRecorder

          public DataRecorder createDataRecorder()

      Specified by:
        `createDataRecorder` in interface `DataCacheHandler`

    - #### getDataSnapshot

          public DataSnapshot getDataSnapshot()

      Specified by:
        `getDataSnapshot` in interface `DataCacheHandler`

    - #### disableCaching

          protected void disableCaching()

    - #### setDataSnapshot

          protected void setDataSnapshot(DataSnapshot snapshot)

    - #### isSnapshotPopulated

          public boolean isSnapshotPopulated()

      Specified by:
        `isSnapshotPopulated` in interface `DataCacheHandler`

    - #### createColumnStore

          protected ColumnStore createColumnStore(JRField field)

    - #### createColumnStore

          protected ColumnStore createColumnStore(java.lang.Class<?> type)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com